#include <iostream>
using namespace std;

int main() {
    unsigned int N, L;
    cin >> N >> L;

    unsigned int prepreke[1000];
    for (unsigned int i = 0; i < N; i++) {
        cin >> prepreke[i];
    }

    for (unsigned int i = 0; i < N; i++) {
        if (prepreke[i] <= L) {
            cout << i + 1;
            return 0;
        }
    }

    cout << -1;
    return 0;
}